#/function terra_chapter2:entities/custom/skeleton/set_properties
#Created by Mithey

#Parameters:
#Detection Temp = 1 to set detection low, 2 normal, 3 high
#HighFollowRange Temp = 1 to set high follow_range

#Set tags
tag @s add EntityCustom
tag @s add EntityNatural
tag @s add EntityKillable
tag @s add FactionEnemy
tag @s add chapter2_Skeleton

#Properties
data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:brick",Count:1b,tag:{CustomModelData:50}}],HandItems:[{},{}],ArmorDropChances:[-10f,-10f,-10f,-10f],HandDropChances:[-10f,-10f],DeathLootTable:"empty"}
scoreboard players set RNGRange Temp 10
function terra_system:misc/generate_random_number
execute if score RNG Temp matches 1..7 run data merge entity @s {HandItems:[{id:"minecraft:golden_sword",Count:1b},{}]}
execute if score RNG Temp matches 8..10 run data merge entity @s {HandItems:[{id:"minecraft:bow",Count:1b},{}]}

#Easy
execute if score TerraRestore Difficulty matches 1 run data merge entity @s {Attributes:[{Name:generic.follow_range,Base:20},{Name:generic.knockback_resistance,Base:0},{Name:generic.movement_speed,Base:0.210},{Name:generic.attack_damage,Base:1},{Name:generic.armor,Base:0},{Name:generic.armor_toughness,Base:0},{Name:generic.max_health,Base:1024}],Health:1024f,AbsorptionAmount:1024f}
execute if score TerraRestore Difficulty matches 1 run scoreboard players set @s EntityHpMax 800

#Normal
execute if score TerraRestore Difficulty matches 2 run data merge entity @s {Attributes:[{Name:generic.follow_range,Base:20},{Name:generic.knockback_resistance,Base:0},{Name:generic.movement_speed,Base:0.240},{Name:generic.attack_damage,Base:2},{Name:generic.armor,Base:0},{Name:generic.armor_toughness,Base:0},{Name:generic.max_health,Base:1024}],Health:1024f,AbsorptionAmount:1024f}
execute if score TerraRestore Difficulty matches 2 run scoreboard players set @s EntityHpMax 1400

#Hard
execute if score TerraRestore Difficulty matches 3 run data merge entity @s {Attributes:[{Name:generic.follow_range,Base:20},{Name:generic.knockback_resistance,Base:0},{Name:generic.movement_speed,Base:0.275},{Name:generic.attack_damage,Base:3},{Name:generic.armor,Base:0},{Name:generic.armor_toughness,Base:0},{Name:generic.max_health,Base:1024}],Health:1024f,AbsorptionAmount:1024f}
execute if score TerraRestore Difficulty matches 3 run scoreboard players set @s EntityHpMax 1800

#Set health to 100%
scoreboard players operation @s EntityHpCurr = @s EntityHpMax

#Detection
execute if score Detection Temp matches 1.. run data merge entity @s {NoAI:1,PersistenceRequired:1,AbsorptionAmount:1024f}
execute if score Detection Temp matches 1.. run tag @s remove EntityNatural
execute if score Detection Temp matches 1.. run tag @s add Detection
execute if score Detection Temp matches 1 run tag @s add DetectionRangeLow
execute if score Detection Temp matches 2 run tag @s add DetectionRangeNormal
execute if score Detection Temp matches 3 run tag @s add DetectionRangeHigh

#High follow range
execute if score HighFollowRange Temp matches 1 run data merge entity @s {Attributes:[{Name:generic.follow_range,Base:50}]}

#Team hostile
tag @s add TeamHostile

#Generic modify entity stuff
function terra_system:on_modify_entity

#Add score to avoid this running again
scoreboard players set @s EntityModified 1

#Clean up
scoreboard players reset Detection Temp
scoreboard players reset HighFollowRange Temp
tag @s remove TempNewSpawn









