#/function terra_chapter3:entities/custom/stray/set_properties
#Created by Mithey

#Parameters:
#Detection Temp = 1 to set detection low, 2 normal, 3 high

#Set tags
tag @s add EntityCustom
tag @s add EntityBoss
tag @s add EntityKillable
tag @s add FactionEnemy
tag @s add chapter3_BossStray

#Properties
data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:brick",Count:1b,tag:{CustomModelData:50}}],HandItems:[{id:"minecraft:netherite_sword",Count:1b}],ArmorDropChances:[-10f,-10f,-10f,-10f],HandDropChances:[-10f,-10f],DeathLootTable:"empty",Rotation:[90f,0f]}

#Easy
execute if score TerraRestore Difficulty matches 1 run data merge entity @s {Attributes:[{Name:generic.follow_range,Base:40},{Name:generic.knockback_resistance,Base:0},{Name:generic.movement_speed,Base:0.250},{Name:generic.attack_damage,Base:-4},{Name:generic.armor,Base:0},{Name:generic.armor_toughness,Base:0},{Name:generic.max_health,Base:1024}],Health:1024f,AbsorptionAmount:1024f}
execute if score TerraRestore Difficulty matches 1 run scoreboard players set @s EntityHpMax 80000

#Normal
execute if score TerraRestore Difficulty matches 2 run data merge entity @s {Attributes:[{Name:generic.follow_range,Base:40},{Name:generic.knockback_resistance,Base:0},{Name:generic.movement_speed,Base:0.275},{Name:generic.attack_damage,Base:-3},{Name:generic.armor,Base:0},{Name:generic.armor_toughness,Base:0},{Name:generic.max_health,Base:1024}],Health:1024f,AbsorptionAmount:1024f}
execute if score TerraRestore Difficulty matches 2 run scoreboard players set @s EntityHpMax 110000

#Hard
execute if score TerraRestore Difficulty matches 3 run data merge entity @s {Attributes:[{Name:generic.follow_range,Base:40},{Name:generic.knockback_resistance,Base:0},{Name:generic.movement_speed,Base:0.300},{Name:generic.attack_damage,Base:-2},{Name:generic.armor,Base:0},{Name:generic.armor_toughness,Base:0},{Name:generic.max_health,Base:1024}],Health:1024f,AbsorptionAmount:1024f}
execute if score TerraRestore Difficulty matches 3 run scoreboard players set @s EntityHpMax 140000

#Set health to 100%
scoreboard players operation @s EntityHpCurr = @s EntityHpMax

#Detection
execute if score Detection Temp matches 1.. run data merge entity @s {NoAI:1,PersistenceRequired:1,AbsorptionAmount:1024f}
execute if score Detection Temp matches 1.. run tag @s remove EntityNatural
execute if score Detection Temp matches 1.. run tag @s add Detection
execute if score Detection Temp matches 1 run tag @s add DetectionRangeLow
execute if score Detection Temp matches 2 run tag @s add DetectionRangeNormal
execute if score Detection Temp matches 3 run tag @s add DetectionRangeHigh

#Team hostile
tag @s add TeamHostile

#Generic modify entity stuff
function terra_system:on_modify_entity

#Add score to avoid this running again
scoreboard players set @s EntityModified 1

#Clean up
scoreboard players reset Detection Temp
tag @s remove TempNewSpawn









