#/function terra_system:entities/calculate_max_natural_mob_spawns
#Created by Mithey

#Area
execute if score TerraRestore AreaID matches ..1 run scoreboard players set Max MobCount 0
#Chapter 1
execute if score TerraRestore AreaID matches 2 run scoreboard players set Max MobCount 40
#Chapter 2
execute if score TerraRestore AreaID matches 3 run scoreboard players set Max MobCount 40
#Chapter 3
execute if score TerraRestore AreaID matches 4 run scoreboard players set Max MobCount 40
execute if score TerraRestore AreaID matches 5.. run scoreboard players set Max MobCount 0



#Difficulty
scoreboard players operation Max MobCount *= 100 Number
#Easy
execute if block 109 4 -32 minecraft:yellow_wool run scoreboard players operation Max MobCount /= 115 Number
#Normal
execute if block 109 4 -32 minecraft:orange_wool run scoreboard players operation Max MobCount /= 100 Number
#Hard
execute if block 109 4 -32 minecraft:red_wool run scoreboard players operation Max MobCount /= 85 Number



#Performance
#Minimal performance
execute if block 108 4 -32 minecraft:yellow_wool run scoreboard players operation Max MobCount *= 100 Number
execute if block 108 4 -32 minecraft:yellow_wool run scoreboard players operation Max MobCount /= 115 Number



#Amount of players
function terra_system:misc/check_amount_of_players
execute if score AmountOfPlayers Temp matches 2.. run scoreboard players operation Max MobCount *= 100 Number
execute if score AmountOfPlayers Temp matches 2 run scoreboard players operation Max MobCount /= 85 Number
execute if score AmountOfPlayers Temp matches 3 run scoreboard players operation Max MobCount /= 75 Number
execute if score AmountOfPlayers Temp matches 4 run scoreboard players operation Max MobCount /= 65 Number
execute if score AmountOfPlayers Temp matches 5.. run scoreboard players operation Max MobCount /= 50 Number



#Low render distance
execute at @p run summon minecraft:area_effect_cloud ~48 ~ ~48 {Tags:["CheckChunkLoaded"]}
execute at @p run summon minecraft:area_effect_cloud ~-48 ~ ~48 {Tags:["CheckChunkLoaded"]}
execute at @p run summon minecraft:area_effect_cloud ~-48 ~ ~-48 {Tags:["CheckChunkLoaded"]}
execute at @p run summon minecraft:area_effect_cloud ~48 ~ ~-48 {Tags:["CheckChunkLoaded"]}
execute at @p run summon minecraft:area_effect_cloud ~64 ~ ~64 {Tags:["CheckChunkLoaded"]}
execute at @p run summon minecraft:area_effect_cloud ~-64 ~ ~64 {Tags:["CheckChunkLoaded"]}
execute at @p run summon minecraft:area_effect_cloud ~-64 ~ ~-64 {Tags:["CheckChunkLoaded"]}
execute at @p run summon minecraft:area_effect_cloud ~64 ~ ~-64 {Tags:["CheckChunkLoaded"]}
execute at @p run summon minecraft:area_effect_cloud ~80 ~ ~80 {Tags:["CheckChunkLoaded"]}
execute at @p run summon minecraft:area_effect_cloud ~-80 ~ ~80 {Tags:["CheckChunkLoaded"]}
execute at @p run summon minecraft:area_effect_cloud ~-80 ~ ~-80 {Tags:["CheckChunkLoaded"]}
execute at @p run summon minecraft:area_effect_cloud ~80 ~ ~-80 {Tags:["CheckChunkLoaded"]}
scoreboard players set ChunkLoaded Temp 0
execute as @e[tag=CheckChunkLoaded] run scoreboard players add ChunkLoaded Temp 1
kill @e[tag=CheckChunkLoaded]
#Mob count * 0.40 if 2-4 render distance
execute unless score ChunkLoaded Temp matches 12.. run scoreboard players operation Max MobCount *= 100 Number
execute unless score ChunkLoaded Temp matches 12.. run scoreboard players operation Max MobCount /= 250 Number
#Mob count * 0.66 if 2-3 render distance
execute unless score ChunkLoaded Temp matches 8.. run scoreboard players operation Max MobCount *= 100 Number
execute unless score ChunkLoaded Temp matches 8.. run scoreboard players operation Max MobCount /= 150 Number
#Mob count * 0.66 if 2 render distance
execute unless score ChunkLoaded Temp matches 4.. run scoreboard players operation Max MobCount *= 100 Number
execute unless score ChunkLoaded Temp matches 4.. run scoreboard players operation Max MobCount /= 150 Number









