#/function terra_system:items/chest/blank
#Created by Mithey

#PARAMETERS:
#DontDisplayMessage Temp - Don't display equip message
#DontMakeSound Temp - Don't make sound on equipping

#Chest ID
scoreboard players set @s IDChest 0

execute unless score DontDisplayMessage Temp matches 1 run title @s actionbar {"translate":"","extra":[{"translate":"["},{"translate":"","color":"white","bold":true},{"translate":"] "},{"translate":"terra.items.equipped"}]}
execute unless score DontMakeSound Temp matches 1 run playsound minecraft:item.armor.equip_diamond player @a

#Set attributes
function terra_system:stats/reset_stats_chest
scoreboard players set @s HealthChest 0
scoreboard players set @s SpiritChest 0
scoreboard players set @s StamChest 0
scoreboard players set @s OffenseChest 0
scoreboard players set @s DefenseChest 0
execute unless score DontDisplayMessage Temp matches 1 run function terra_system:stats/calculate_stats
execute if score DontDisplayMessage Temp matches 1 run function terra_system:stats/calculate_stats_no_message

#Equip armor
replaceitem entity @s armor.chest minecraft:diamond_chestplate{Unbreakable:1,HideFlags:7,display:{Name:'{"translate":""}'},Enchantments:[{id:"minecraft:binding_curse",lvl:1s}]}

#Clean up
scoreboard players reset DontDisplayMessage Temp
scoreboard players reset DontMakeSound Temp