#/function terra_chapter1:encounters/mines/start
#Created by Mithey

#Move player to correct location in adventure mode
gamemode adventure @a
data merge block 49 4 2 {Command:"tp @a[tag=TeleportAndSpawn] 2154 77 1969 -90 0"}
data merge block 50 4 2 {Command:"spawnpoint @a[tag=TeleportAndSpawn] 2154 77 1969"}
tp @a 2154 77 1969 -90 0
spawnpoint @a 2154 77 1969
function terra_system:on_spawn_change
#function terra_system:on_area_change

#Clear entities
execute as @e[tag=EntityNatural] at @s run tp @s ~ ~-500 ~
kill @e[tag=EntityNatural]

#Disable natural mob spawning temporarily
function terra_system:entities/natural_mob_spawning_disable

#Title
title @a times 20 60 60
title @a subtitle {"translate":"","extra":[{"translate":"terra.chapter1.encounter.mines_subtitle","italic":true}]}
title @a title {"translate":"","extra":[{"translate":"terra.chapter1.encounter.mines_title","color":"red"}]}

#Objective boss bar
bossbar set minecraft:200 name "Time"
bossbar set minecraft:200 color yellow
bossbar set minecraft:200 value 120
bossbar set minecraft:200 max 120
bossbar set minecraft:200 style notched_10
bossbar set minecraft:200 visible true

#Playsound
execute as @a at @s run playsound minecraft:entity.wither.spawn hostile @s ~ ~ ~ 30 0.8

#Music
function terra_system:music/set_song/flying_high

#Close gates
fill 2149 77 1968 2149 76 1971 minecraft:blackstone
fill 2149 78 1970 2149 78 1969 minecraft:blackstone

#Repair walls if needed
fill 2167 76 1983 2164 79 1983 minecraft:blackstone replace minecraft:air
fill 2166 78 1953 2170 80 1953 minecraft:blackstone replace minecraft:air

#Objectives
scoreboard objectives add EncounterTime dummy
scoreboard objectives add EncounterDeath minecraft.custom:minecraft.deaths
scoreboard players set TerraRestore InEncounter 1
scoreboard objectives add RemainingTime dummy
scoreboard players set TerraRestore RemainingTime 120

#Heal player
execute as @a at @s run function terra_system:health/reset_health
execute as @a at @s run function terra_system:potions/refill_potion

#Summon in entities
#...

#Start encounter clock
data merge block ~ ~ ~ {Command:"function terra_chapter1:encounters/mines/clock"}





