#/function terra_chapter2:main_clock
#Created by Mithey

#Modify area entities
execute as @e unless score @s EntityModified matches 1 at @s run function terra_chapter2:entities/set_properties

#Right clicked object
execute as @a[scores={TalkedToVillager=1..}] at @s run function terra_chapter2:on_click_object

#Functions
execute as @e[tag=Function] at @s if entity @p[distance=..79] run function terra_chapter2:run_function

#On no absorption
execute as @e[tag=EntityKillable] at @s run execute unless entity @s[nbt={AbsorptionAmount:1024f}] run function terra_chapter2:entities/custom/on_damage_taken

#Death
execute as @a[scores={Death=1..}] at @s run function terra_chapter2:on_death

#Mined
execute as @a[scores={MinedCoal=1..}] at @s run function terra_chapter2:on_mined_coal
execute as @a[scores={MinedIron=1..}] at @s run function terra_chapter2:on_mined_iron
execute as @a[scores={MinedGold=1..}] at @s run function terra_chapter2:on_mined_gold
execute as @a[scores={MinedDiamond=1..}] at @s run function terra_chapter2:on_mined_diamond

#Don't make poison possible
effect clear @a minecraft:poison

#Natural mob spawning
execute if block 111 4 -48 minecraft:green_wool run function terra_chapter2:entities/custom/spawn_random_attempt

#Nether escape cutscene
execute unless block 111 4 -27 minecraft:green_wool run particle minecraft:happy_villager 3123 23 2986 1 1 1 0 1 force
execute unless block 111 4 -27 minecraft:green_wool run execute if entity @a[x=3136,y=22,z=2986,distance=..15,gamemode=adventure] run setblock 32 4 38 minecraft:redstone_block

#Start boss intro cutscene
execute if entity @a[x=3061,y=59,z=3087,distance=..10,gamemode=adventure] run execute unless block 109 4 -27 minecraft:green_wool run setblock 32 6 38 minecraft:redstone_block
#Start encounter
execute if entity @a[x=3061,y=59,z=3087,distance=..10,gamemode=adventure] run execute unless block 110 4 -27 minecraft:green_wool run execute if block 109 4 -27 minecraft:green_wool run setblock 32 4 40 minecraft:redstone_block
#Particles
execute unless block 110 4 -27 minecraft:green_wool run execute unless block 32 4 40 minecraft:redstone_block run execute unless block 32 6 38 minecraft:redstone_block run particle minecraft:happy_villager 3061 60 3080 2 2 2 0 1 force