#/function terra_system:second_clock
#Created by Mithey

#Time
execute store result score TerraRestore Time run time query daytime
execute if score TerraRestore Time matches 1..20 as @a at @s run function terra_system:on_morning
execute if score TerraRestore Time matches 13000..13019 as @a at @s run function terra_system:on_night

#Music
execute if block 110 4 -32 minecraft:green_wool as @a at @s run function terra_system:music/music_clock

#RNG
scoreboard players add RNGSeed Number 1
execute if score RNGSeed Number matches 16383.. run scoreboard players operation RNGSeed Number %= RNGMaxNumber Number

#1.14 patch for villagers gaining trades on world reload
execute as @e[type=villager] run data merge entity @s {Offers:{Recipes:[]}}

#Performance settings lag reduction
execute if score TerraRestore OptPerformance matches 1 run kill @e[tag=KillIfPerformanceMinimal]
execute if score TerraRestore OptPerformance matches 1..2 run kill @e[tag=KillIfPerformanceNormal]

#Minute clock
scoreboard players add Minute Clock 1
execute if score Minute Clock matches 60.. run function terra_system:minute_clock