#/function terra_system:stats/calculate_spirit
#Created by Mithey

#PARAMETERS:
#DontDisplayMessage Temp - Displays total Spirit and how much you gained or lost

#RETURNS:
#@s Spirit - How much Spirit you have

#Store old spirit
scoreboard players operation OldSpiritTotal Temp = @s StatSpiritMax

#Reset Spirit
scoreboard players set @s StatSpiritMax 10000

#Armor Spirit
scoreboard players operation @s StatSpiritMax += @s SpiritFeet
scoreboard players operation @s StatSpiritMax += @s SpiritLegs
scoreboard players operation @s StatSpiritMax += @s SpiritChest
scoreboard players operation @s StatSpiritMax += @s SpiritHead

#Weapon Spirit
scoreboard players operation @s StatSpiritMax += @s SpiritWeapon1
scoreboard players operation @s StatSpiritMax += @s SpiritWeapon2

#Display total Spirit
execute unless score DontDisplayMessage Temp matches 1 run scoreboard players operation TotalSpirit Temp = @s StatSpiritMax
execute unless score DontDisplayMessage Temp matches 1 run scoreboard players operation TotalSpirit Temp /= 100 Number
execute unless score DontDisplayMessage Temp matches 1 run scoreboard players operation SpiritGain Temp = @s StatSpiritMax
execute unless score DontDisplayMessage Temp matches 1 run scoreboard players operation SpiritGain Temp -= OldSpiritTotal Temp
execute unless score DontDisplayMessage Temp matches 1 run scoreboard players operation SpiritGain Temp /= 100 Number
execute unless score DontDisplayMessage Temp matches 1 run tellraw @s {"translate":"","extra":[{"translate":"terra.stats.spirit"},{"translate":": "},{"score":{"name":"TotalSpirit","objective":"Temp"},"bold":true,"color":"aqua"},{"translate":" ("},{"translate":"terra.stats.you_gained","color":"gray"},{"translate":" "},{"score":{"name":"SpiritGain","objective":"Temp"},"bold":true,"color":"aqua"},{"translate":")","color":"gray"}]}

function terra_system:spirit/spirit_bar/update

#Clean up
scoreboard players reset SpiritGain Temp
scoreboard players reset OldSpiritTotal Temp
scoreboard players reset TotalSpirit Temp
scoreboard players reset DontDisplayMessage Temp
scoreboard players reset DontMakeSound Temp








